[debian-edu-commits] debian-edu/italc.git (#100) - master (branch) updated: debian/1_2.0.0-3-2-gef9a531

Mike Gabriel sunweaver at alioth.debian.org
Mon Aug 12 01:32:47 UTC 2013


The branch, master has been updated
       via  ef9a5319a16032d871d645fc33f91be7b60695b6 (commit)
      from  c8b81bc6c335b263670f50f7276294e3cdb4adda (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit ef9a5319a16032d871d645fc33f91be7b60695b6
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Sun Aug 11 18:44:15 2013 +0200

    /debian/italc-client.{config,templates}: Make italc preseedable/configurable via debconf.

-----------------------------------------------------------------------

Summary of changes:
 debian/changelog              |    2 +
 debian/italc-client.config    |   90 ++++++++++++++++
 debian/italc-client.postinst  |  125 ++++++++++++++++++----
 debian/italc-client.prerm     |   13 ++-
 debian/italc-client.templates |  140 +++++++++++++++++++++++++
 debian/po/POTFILES.in         |    1 +
 debian/po/de.po               |  212 +++++++++++++++++++++++++++++++++++++
 debian/po/templates.pot       |  231 +++++++++++++++++++++++++++++++++++++++++
 8 files changed, 792 insertions(+), 22 deletions(-)
 create mode 100755 debian/italc-client.config
 create mode 100644 debian/italc-client.templates
 create mode 100644 debian/po/POTFILES.in
 create mode 100644 debian/po/de.po
 create mode 100644 debian/po/templates.pot

The diff of changes is:
diff --git a/debian/changelog b/debian/changelog
index d58aa64..9579f2f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,8 @@ italc (1:2.0.0-4) UNRELEASED; urgency=low
 
   * /debian/control:
     + Fix lintian: <bin:package>: data.tar.xz-member-without-dpkg-pre-depends.
+  * /debian/italc-client.{config|templates}:
+    + Make italc preseedable/configurable via debconf.
 
  -- Mike Gabriel <sunweaver at debian.org>  Sun, 11 Aug 2013 03:20:31 +0200
 
diff --git a/debian/italc-client.config b/debian/italc-client.config
new file mode 100755
index 0000000..40b9c27
--- /dev/null
+++ b/debian/italc-client.config
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+set -e
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
+db_input high italc-client/create-keypairs || true
+db_go
+db_get italc-client/create-keypairs
+create_keypairs=$RET
+
+# remember the formerly used (or default) group names, if any
+db_get italc-client/group-italc-teacher && db_set italc-client/last-group-teacher $RET || true
+db_get italc-client/group-italc-student && db_set italc-client/last-group-student $RET || true
+db_get italc-client/group-italc-supporter && db_set italc-client/last-group-supporter $RET || true
+db_get italc-client/group-italc-admin && db_set italc-client/last-group-admin $RET || true
+
+if [ "$create_keypairs" = "true" ]; then
+
+	db_input high italc-client/create-groups-for-roles || true
+	db_go
+	db_get italc-client/create-groups-for-roles
+	create_groups=$RET
+	if [ "$create_groups" = "false" ]; then
+		db_set italc-client/use-existing-groups-for-roles true
+
+		db_set italc-client/group-italc-teacher "root"
+		db_set italc-client/group-italc-student "root"
+		db_set italc-client/group-italc-supporter "root"
+		db_set italc-client/group-italc-admin "root"
+
+		db_input high italc-client/use-existing-groups-for-roles || true
+		db_go
+	fi
+
+	db_get italc-client/use-existing-groups-for-roles
+	use_existing_groups=$RET
+
+	if [ "$create_groups" = "true" ] || [ "$use_existing_groups" = "true" ]; then
+
+		db_input high italc-client/group-italc-teacher || true
+		db_go
+
+		db_get italc-client/group-italc-teacher
+		italc_group_teacher=$RET
+		db_get italc-client/last-group-teacher
+		if [ "$RET" != "$italc_group_teacher" ] && [ "$RET" != 'italc-teacher' ]; then
+			db_input critical italc-client/del-last-group-teacher || true
+			db_go
+		fi
+
+		db_input high italc-client/group-italc-student || true
+		db_go
+
+		db_get italc-client/group-italc-student
+		italc_group_student=$RET
+		db_get italc-client/last-group-student
+		if [ "$RET" != "$italc_group_student" ] && [ "$RET" != 'italc-student' ]; then
+			db_input critical italc-client/del-last-group-student || true
+			db_go
+		fi
+
+		db_input high italc-client/group-italc-supporter || true
+		db_go
+
+		db_get italc-client/group-italc-supporter
+		italc_group_supporter=$RET
+		db_get italc-client/last-group-supporter
+		if [ "$RET" != "$italc_group_supporter" ] && [ "$RET" != 'italc-supporter' ]; then
+			db_input critical italc-client/del-last-group-supporter || true
+			db_go
+		fi
+
+		db_input high italc-client/group-italc-admin || true
+		db_go
+
+		db_get italc-client/group-italc-admin
+		italc_group_admin=$RET
+		db_get italc-client/last-group-admin
+		if [ "$RET" != "$italc_group_admin" ] && [ "$RET" != 'italc-admin' ]; then
+			db_input critical italc-client/del-last-group-admin || true
+			db_go
+		fi
+
+		db_input high italc-client/key-access-for-groups || true
+		db_go
+	fi
+
+fi
diff --git a/debian/italc-client.postinst b/debian/italc-client.postinst
index aab8cd0..7c2081f 100755
--- a/debian/italc-client.postinst
+++ b/debian/italc-client.postinst
@@ -18,6 +18,9 @@
 
 set -e
 
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
 case "$1" in
 	configure)
 		# italc_auth_helper needs to be installed setuid root
@@ -25,30 +28,114 @@ case "$1" in
 			dpkg-statoverride --add --update root root 4755 /usr/bin/italc_auth_helper
 		fi
 
-		# set up italc-* groups
+		# fetch debconf-variables for slbackup
+		db_get italc-client/create-keypairs && italc_create_keypairs=$RET
+		db_get italc-client/key-access-for-groups && italc_key_access_for_group=$RET
+		db_get italc-client/create-groups-for-roles && italc_create_groups_for_roles=$RET
+		db_get italc-client/use-existing-groups-for-roles && italc_use_existing_groups_for_roles=$RET
+
+		# users of iTALC master
+
 		for role in admin supporter teacher; do
-			group="italc-${role}s"
-			if ! getent group $group >/dev/null; then
-				echo "Creating $group group." >&2
-				addgroup --system $group
-			else
-				echo "Group $group already exists." >&2
+
+			db_get italc-client/del-last-group-$role
+			del_last_group="$RET"
+			if [ "$del_last_group" = "true" ]; then
+				db_get italc-client/last-group-$role
+				last_group=$(echo $RET | cut -d" " -f1)
+
+				# try to remove the formerly used group for this role, on failure, ignore it
+				getent group last_group 1>/dev/null && delgroup "$last_group" || \
+				    echo "Removing Posix group »$last_group« for role »$role« failed."
+
 			fi
-			if ! test -f /etc/italc/keys/public/$role/key -a -f  /etc/italc/keys/private/$role/key; then
-				echo -n "Creating iTALC public/private key pair for iTALC role »$role« ... "
-				imc -role $role -createkeypair >/dev/null 2>/dev/null
-				chown :$group /etc/italc/keys/private/$role/key
-				echo "done."
+
+			db_get italc-client/group-italc-$role
+			# for sanity: we take everything as a group name until we fine a blank...
+			group=$(echo $RET | cut -d" " -f1)
+
+			if ! getent group "$group" 1>/dev/null; then
+				if echo "$group" | egrep -v '^[[:digit:]]{1,5}$' 1>/dev/null; then
+					group=""
+				fi
+			fi
+
+			if [ "$italc_create_keypairs" = "true" ]; then
+				if ! test -f "/etc/italc/keys/public/$role/key" -a -f "/etc/italc/keys/private/$role/key"; then
+					echo -n "Creating iTALC public/private key pair for iTALC role »$role« ... "
+					imc -role $role -createkeypair >/dev/null 2>/dev/null
+					echo "done."
+				else
+					echo "iTALC public/private key for iTALC role »$role« already exists."
+				fi
+			fi
+
+			if [ "$italc_create_groups_for_roles" = "true" ] && [ "x$group" != "x" ]; then
+				if echo "$group" | egrep '^[[:digit:]]{1,5}$' 1>/dev/null; then
+					echo "Specified group for role »$role« is a gidNumber, not creating any group." 1>&2
+				elif ! getent group $group >/dev/null; then
+					echo "Creating $group group." 1>&2
+					addgroup --system $group
+				else
+					echo "Group »$group« already exists." 1>&2
+				fi
+			fi
+
+			if [ "$italc_key_access_for_groups" = "true" ]; then
+				if ! test -f "/etc/italc/keys/private/$role/key"; then 
+					if [ "x$group" != "x" ]; then
+						chown -Rf :$group "/etc/italc/keys/private/$role"
+					else
+						chown -Rf :root "/etc/italc/keys/private/$role"
+					fi
+				fi
 			fi
+
 		done
 
-		# normal iTALC users... (aka italc-students)
-		group="italc-students"
-		if ! getent group $group >/dev/null; then
-			echo "Creating $group group." >&2
-			addgroup --system $group
-		else
-			echo "Group $group already exists." >&2
+		# users of iTALC client
+
+		db_get italc-client/del-last-group-student
+		del_last_group="$RET"
+		if [ "$del_last_group" = "true" ]; then
+			db_get italc-client/last-group-student
+			last_group=$(echo $RET | cut -d" " -f1)
+
+			# try to remove the formerly used group for this role, on failure, ignore it
+			getent group last_group 1>/dev/null && delgroup "$last_group" || \
+			    echo "Removing Posix group »$last_group« for role »student« failed."
+
+		fi
+
+		db_get italc-client/group-italc-student
+		# for sanity: we take everything as a group name until we fine a blank...
+		group=$(echo $RET cut -d" " -f1)
+
+		if ! getent group "$group" 1>/dev/null; then
+			if echo "$group" | egrep -v '^[[:digit:]]{1,5}$' 1>/dev/null; then
+				group=""
+			fi
+		fi
+
+		if [ "$italc_create_groups_for_roles" = "true" ]; then
+			if echo "$group" | egrep '^[[:digit:]]{1,5}$' 1>/dev/null; then
+				echo "Specified group for role »student« is a gidNumber, not creating any group." 1>&2
+			elif ! getent group $group >/dev/null; then
+				echo "Creating $group group." 1>&2
+				addgroup --system $group
+			else
+				echo "Group »student« already exists." 1>&2
+			fi
+		fi
+
+		if [ "$italc_key_access_for_groups" = "true" ]; then
+			if ! test -f "/etc/italc/keys/public/$role/key"; then
+				if [ "x$group" != "x" ]; then
+					chown -Rf :$group "/etc/italc/keys/public/*"
+				else
+					chown -Rf :root "/etc/italc/keys/public/*"
+				fi
+			fi
 		fi
 		;;
 
diff --git a/debian/italc-client.prerm b/debian/italc-client.prerm
index 6ba3103..3ee6b62 100755
--- a/debian/italc-client.prerm
+++ b/debian/italc-client.prerm
@@ -16,15 +16,22 @@
 
 set -e
 
+# Source debconf library.
+. /usr/share/debconf/confmodule
+
 case "$1" in
 	remove)
 		# The package is being removed in its own right.
 		if dpkg-statoverride --list /usr/bin/italc_auth_helper >/dev/null; then
 			dpkg-statoverride --remove /usr/bin/italc_auth_helper
 		fi
-		for role in admin supporter teacher students; do
-			group="italc-${role}s"
-			getent group $group >/dev/null && delgroup $group
+		for role in admin supporter teacher student; do
+			db_get italc-client/italc-group-$role
+			group="$(echo $RET cut -d" " -f1)"
+			if echo "$group" | egrep -v '^[[:digit:]]{1,5}$'; then
+				getent group $group >/dev/null && delgroup $group || \
+				    echo "Failed to remove group »$group« from the system."
+			fi
 		done
 		;;
 	deconfigure|upgrade|failed-upgrade)
diff --git a/debian/italc-client.templates b/debian/italc-client.templates
new file mode 100644
index 0000000..b557b6d
--- /dev/null
+++ b/debian/italc-client.templates
@@ -0,0 +1,140 @@
+Template: italc-client/last-group-teacher
+Type: string
+Default: 
+Description: for internal use
+
+Template: italc-client/last-group-student
+Type: string
+Default: 
+Description: for internal use
+
+Template: italc-client/last-group-supporter
+Type: string
+Default: 
+Description: for internal use
+
+Template: italc-client/last-group-admin
+Type: string
+Default: 
+Description: for internal use
+
+Template: italc-client/create-keypairs
+Type: boolean
+Default: true
+_Description: Automatically set up iTALC's role model and create iTALC SSL key pairs?
+ iTALC knows four different access roles for iTALC clients (teacher, student,
+ supporter, and administrator).
+ .
+ iTALC manages this role based client access via SSL keys.
+ .
+ After installation of this package you may want those SSL keys to be
+ created automatically. If so, you will find the freshly created keys in
+ subfolders of /etc/italc/keys.
+
+Template: italc-client/create-groups-for-roles
+Type: boolean
+Default: true
+_Description: Create Posix groups for iTALC roles now?
+ iTALC's role model requires configuration of four Posix groups on your
+ system. The available roles are teacher, student, supporter, and admin.
+ .
+ You can either create those four Posix groups now or (re-)use Posix groups
+ that already exist on your system.
+
+Template: italc-client/use-existing-groups-for-roles
+Type: boolean
+Default: false
+_Description: Use already existing groups for iTALC roles?
+ If you already have set up groups for reflecting the iTALC role model
+ (e.g. in your LDAP user/group database) then you can specify those group
+ names on the next screens.
+
+Template: italc-client/group-italc-teacher
+Type: string
+Default: italc-teacher
+_Description: Group for people in the role of iTALC teachers:
+ Specify the Posix group name for people in the role of an iTALC teacher.
+ The teacher role gives you basic control over iTALC clients in class
+ rooms.
+ .
+ If the below field stays empty, then the Posix group root will be used
+ instead.
+
+Template: italc-client/del-last-group-teacher
+Type: boolean
+Default: false
+_Description: Do you want to delete the group that was formerly used for this role?
+ The Posix group for the iTALC teacher role has been modified.
+ .
+ If unsure, keep the formerly used group and manually investigate your
+ system later.
+
+Template: italc-client/group-italc-student
+Type: string
+Default: italc-student
+_Description: Group for people in the role of iTALC students:
+ Specify the Posix group name for people in the role of an iTALC student.
+ The iTALC client only starts for users being a member in this group.
+ .
+ If the below field stays empty, then the Posix group root will be used
+ instead.
+
+Template: italc-client/del-last-group-student
+Type: boolean
+Default: false
+_Description: Do you want to delete the group that was formerly used for this role?
+ The Posix group for the iTALC student role has been modified.
+ .
+ If unsure, keep the formerly used group and manually investigate your
+ system later.
+
+Template: italc-client/group-italc-supporter
+Type: string
+Default: italc-supporter
+_Description: Group for people in the role of iTALC supporters:
+ Specify the Posix group name for people in the role of an iTALC supporter.
+ The supporter role gives extended control over the iTALC setup on your
+ site and facilitates giving support to iTALC users.
+ .
+ If the below field stays empty, then the Posix group root will be used
+ instead.
+
+Template: italc-client/del-last-group-supporter
+Type: boolean
+Default: false
+_Description: Do you want to delete the group that was formerly used for this role?
+ The Posix group for the iTALC supporter role has been modified.
+ .
+ If unsure, keep the formerly used group and manually investigate your
+ system later.
+
+Template: italc-client/group-italc-admin
+Type: string
+Default: italc-admin
+_Description: Group for people in the role of iTALC administrators:
+ Specify the Posix group name for people in the role of an iTALC
+ administrator. The admin role grants full access to the iTALC instance on
+ your site.
+ .
+ If the below field stays empty, then the Posix group root will be used
+ instead.
+
+Template: italc-client/del-last-group-admin
+Type: boolean
+Default: false
+_Description: Do you want to delete the group that was formerly used for this role?
+ The Posix group for the iTALC admin role has been modified.
+ .
+ If unsure, keep the formerly used group and manually investigate your
+ system later.
+
+Template: italc-client/key-access-for-groups
+Type: boolean
+Default: true
+_Description: Make iTALC's SSL keys accessible to the role model groups?
+ To make the iTALC role model fully functional now, specific group access
+ to the created SSL keys has to be granted.
+ .
+ If you skip this step, iTALC SSL keys are only accessible by the
+ super-user `root' and you have to manually setup file permissions on the
+ keys later.
diff --git a/debian/po/POTFILES.in b/debian/po/POTFILES.in
new file mode 100644
index 0000000..d149563
--- /dev/null
+++ b/debian/po/POTFILES.in
@@ -0,0 +1 @@
+[type: gettext/rfc822deb] italc-client.templates
diff --git a/debian/po/de.po b/debian/po/de.po
new file mode 100644
index 0000000..da6dcae
--- /dev/null
+++ b/debian/po/de.po
@@ -0,0 +1,212 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL at ADDRESS>, YEAR.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: italc\n"
+"Report-Msgid-Bugs-To: italc at packages.debian.org\n"
+"POT-Creation-Date: 2013-08-11 17:22+0200\n"
+"PO-Revision-Date: 2013-08-11 17:23+0100\n"
+"Last-Translator: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>\n"
+"Language-Team: LANGUAGE <LL at li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:5001
+msgid "Automatically set up iTALC's role model and create iTALC SSL key pairs?"
+msgstr "iTalc's Rollenmodell automatisch aufsetzen und iTALC SSL-Schlüsselpaare erstellen?"
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:5001
+#| msgid ""
+#| "iTALC knows four different access roles for iTALC clients (teachers, "
+#| "supporters, administrators)."
+msgid "iTALC knows four different access roles for iTALC clients (teacher, student, supporter, and administrator)."
+msgstr "iTALC kennt vier verschiedene Zugriffsrolle für iTALC-Clients (Lehrer, Schüler, Supporter, Administrator)."
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:5001
+msgid "iTALC manages this role based client access via SSL keys."
+msgstr "iTALC verwaltet diesen rollenbasierten Client-Zugriff über SSL-Schlüssel."
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:5001
+msgid "After installation of this package you may want those SSL keys to be created automatically. If so, you will find the freshly created keys in subfolders of /etc/italc/keys."
+msgstr "Nach Installation dieses Pakets möchten Sie ggf. solche SSL-Schlüssel automatisch erstellen lassen. Die SSL-Schlüssel werden dann in Kürze erstellt neu erstellt und befinden sich dann in Unterordnern von /etc/italc/keys."
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:6001
+msgid "Create Posix groups for iTALC roles now?"
+msgstr "Posix-Gruppen für iTALC-Rollen jetzt erstellen?"
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:6001
+msgid "iTALC's role model requires configuration of four Posix groups on your system. The available roles are teacher, student, supporter, and admin."
+msgstr "iTALCs Rollenmodell benötigt die Konfiguration von vier Posix-Gruppen auf Ihrem System. Die verfügbaren Rollen in iTALC heißen: Lehrer, Student, Supporter und Administrator."
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:6001
+msgid "You can either create those four Posix groups now or (re-)use Posix groups that already exist on your system."
+msgstr "Entweder können Posix-Gruppen während der Installation dieses Pakets neu erstellt werden oder bereits auf dem System vorhandene Gruppen können (wieder-)verwendet werden."
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:7001
+msgid "Use already existing groups for iTALC roles?"
+msgstr "Bereits existierende Gruppen für das iTALC-Rollenmodell verwenden?"
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:7001
+msgid "If you already have set up groups for reflecting the iTALC role model (e.g. in your LDAP user/group database) then you can specify those group names on the next screens."
+msgstr "Sollte Sie bereits Gruppen auf Ihrem System eingerichtet haben, die für das iTALC-Rollenmodell verwendet werden sollen (z.Bsp. in Ihrem LDAP-Verzeichnis), dann können Sie diese Gruppennamen auf den folgenden Konfigurationsseiten angeben."
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:8001
+msgid "Group for people in the role of iTALC teachers:"
+msgstr "Gruppe für Benutzer/innen mit der iTALC-Rolle ,,Lehrer'':"
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:8001
+msgid "Specify the Posix group name for people in the role of an iTALC teacher. The teacher role gives you basic control over iTALC clients in class rooms."
+msgstr "Spezifizieren Sie den Posix-Gruppenamen für Benutzer/innen in der iTALC-Rolle ,,Lehrer''. Die Lehrer-Rolle gibt Basiskontrolle über iTALC-Clients im Computer-Raum."
+
+#. Type: string
+#. Description
+#. Type: string
+#. Description
+#. Type: string
+#. Description
+#. Type: string
+#. Description
+#: ../italc-client.templates:8001
+#: ../italc-client.templates:10001
+#: ../italc-client.templates:12001
+#: ../italc-client.templates:14001
+msgid "If the below field stays empty, then the Posix group root will be used instead."
+msgstr "Wenn das untenstehende Eingabefeld leer bleibt, dann wird die Posix-Gruppe root verwendet."
+
+#. Type: boolean
+#. Description
+#. Type: boolean
+#. Description
+#. Type: boolean
+#. Description
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:9001
+#: ../italc-client.templates:11001
+#: ../italc-client.templates:13001
+#: ../italc-client.templates:15001
+msgid "Do you want to delete the group that was formerly used for this role?"
+msgstr "Möchten Sie die Gruppe vom System entfernen, die bislang für diese Rolle verwendet wurde?"
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:9001
+msgid "The Posix group for the iTALC teacher role has been modified."
+msgstr "Die Posix-Gruppe für die iTALC-Rolle Lehrer wurde verändert."
+
+#. Type: boolean
+#. Description
+#. Type: boolean
+#. Description
+#. Type: boolean
+#. Description
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:9001
+#: ../italc-client.templates:11001
+#: ../italc-client.templates:13001
+#: ../italc-client.templates:15001
+msgid "If unsure, keep the formerly used group and manually investigate your system later."
+msgstr "Falls unsicher, erhalten Sie die bisher genutzte Gruppe auf Ihrem System und untersuchen Sie Ihr System später manuell. "
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:10001
+msgid "Group for people in the role of iTALC students:"
+msgstr "Gruppe für Benutzer/innen in der iTALC-Rolle ,,Student'':"
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:10001
+msgid "Specify the Posix group name for people in the role of an iTALC student. The iTALC client only starts for users being a member in this group."
+msgstr "Spezifizieren Sie den Posix-Gruppenamen für Benutzer/innen in der iTALC-Rolle ,,Student''. Der iTALC-Client startet nur für Benutzer/innen, die Mitglied dieser Gruppe sind."
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:11001
+msgid "The Posix group for the iTALC student role has been modified."
+msgstr "Die Posix-Gruppe für die iTALC-Rolle ,,Student'' wurde verändert."
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:12001
+msgid "Group for people in the role of iTALC supporters:"
+msgstr "Gruppe für Benutzer/innen in der iTALC-Rolle ,,Supporter'':"
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:12001
+msgid "Specify the Posix group name for people in the role of an iTALC supporter. The supporter role gives extended control over the iTALC setup on your site and facilitates giving support to iTALC users."
+msgstr "Spezifizieren Sie den Posix-Gruppenamen für Benutzer/innen in der iTALC-Rolle ,,Supporter''. Die Supporter-Rolle gibt erweiterte Kontrollrechte über iTALC-Clients im Computer-Raum."
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:13001
+msgid "The Posix group for the iTALC supporter role has been modified."
+msgstr "Die Posix-Gruppe für die iTALC-Rolle ,,Supporter'' wurde verändert."
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:14001
+msgid "Group for people in the role of iTALC administrators:"
+msgstr "Gruppe für Benutzer/innen mit der iTALC-Rolle ,,Administrator'':"
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:14001
+msgid "Specify the Posix group name for people in the role of an iTALC administrator. The admin role grants full access to the iTALC instance on your site."
+msgstr "Spezifizieren Sie den Posix-Gruppenamen für Benutzer/innen in der iTALC-Rolle ,,Administrator''. Die Administrator-Rolle gibt Vollzugriff auf die installierte iTALC-Instanz."
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:15001
+msgid "The Posix group for the iTALC admin role has been modified."
+msgstr "Die Posix-Gruppe für die iTALC-Rolle ,,Administrator'' wurde verändert."
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:16001
+msgid "Make iTALC's SSL keys accessible to the role model groups?"
+msgstr "Zugriff für die Rollenmodell-Gruppen auf die iTALC SSL-Schlüssel gewähren?"
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:16001
+msgid "To make the iTALC role model fully functional now, specific group access to the created SSL keys has to be granted."
+msgstr "Um das iTALC-Rollenmodell vollständig funktional zu machen, fehlt noch, dass die spezifischen Gruppenrechte für die erstellten SSL-Schlüssel gesetzt werden."
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:16001
+msgid "If you skip this step, iTALC SSL keys are only accessible by the super-user `root' and you have to manually setup file permissions on the keys later."
+msgstr "Wenn dieser Schritt übersprungen wird, dann sind die iTALC SSL-Schlüssel nur zugänglich für den Super-User ,,root''. Die Einrichtung der Dateirechte muss später manuell vorgenommen werden."
+
+#~ msgid "for internal use"
+#~ msgstr "for internal use"
diff --git a/debian/po/templates.pot b/debian/po/templates.pot
new file mode 100644
index 0000000..c988a80
--- /dev/null
+++ b/debian/po/templates.pot
@@ -0,0 +1,231 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the PACKAGE package.
+# FIRST AUTHOR <EMAIL at ADDRESS>, YEAR.
+#
+#, fuzzy
+msgid ""
+msgstr ""
+"Project-Id-Version: italc\n"
+"Report-Msgid-Bugs-To: italc at packages.debian.org\n"
+"POT-Creation-Date: 2013-08-11 17:22+0200\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL at ADDRESS>\n"
+"Language-Team: LANGUAGE <LL at li.org>\n"
+"Language: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=CHARSET\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:5001
+msgid "Automatically set up iTALC's role model and create iTALC SSL key pairs?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:5001
+msgid ""
+"iTALC knows four different access roles for iTALC clients (teacher, student, "
+"supporter, and administrator)."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:5001
+msgid "iTALC manages this role based client access via SSL keys."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:5001
+msgid ""
+"After installation of this package you may want those SSL keys to be created "
+"automatically. If so, you will find the freshly created keys in subfolders "
+"of /etc/italc/keys."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:6001
+msgid "Create Posix groups for iTALC roles now?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:6001
+msgid ""
+"iTALC's role model requires configuration of four Posix groups on your "
+"system. The available roles are teacher, student, supporter, and admin."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:6001
+msgid ""
+"You can either create those four Posix groups now or (re-)use Posix groups "
+"that already exist on your system."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:7001
+msgid "Use already existing groups for iTALC roles?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:7001
+msgid ""
+"If you already have set up groups for reflecting the iTALC role model (e.g. "
+"in your LDAP user/group database) then you can specify those group names on "
+"the next screens."
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:8001
+msgid "Group for people in the role of iTALC teachers:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:8001
+msgid ""
+"Specify the Posix group name for people in the role of an iTALC teacher. The "
+"teacher role gives you basic control over iTALC clients in class rooms."
+msgstr ""
+
+#. Type: string
+#. Description
+#. Type: string
+#. Description
+#. Type: string
+#. Description
+#. Type: string
+#. Description
+#: ../italc-client.templates:8001 ../italc-client.templates:10001
+#: ../italc-client.templates:12001 ../italc-client.templates:14001
+msgid ""
+"If the below field stays empty, then the Posix group root will be used "
+"instead."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#. Type: boolean
+#. Description
+#. Type: boolean
+#. Description
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:9001 ../italc-client.templates:11001
+#: ../italc-client.templates:13001 ../italc-client.templates:15001
+msgid "Do you want to delete the group that was formerly used for this role?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:9001
+msgid "The Posix group for the iTALC teacher role has been modified."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#. Type: boolean
+#. Description
+#. Type: boolean
+#. Description
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:9001 ../italc-client.templates:11001
+#: ../italc-client.templates:13001 ../italc-client.templates:15001
+msgid ""
+"If unsure, keep the formerly used group and manually investigate your system "
+"later."
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:10001
+msgid "Group for people in the role of iTALC students:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:10001
+msgid ""
+"Specify the Posix group name for people in the role of an iTALC student. The "
+"iTALC client only starts for users being a member in this group."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:11001
+msgid "The Posix group for the iTALC student role has been modified."
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:12001
+msgid "Group for people in the role of iTALC supporters:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:12001
+msgid ""
+"Specify the Posix group name for people in the role of an iTALC supporter. "
+"The supporter role gives extended control over the iTALC setup on your site "
+"and facilitates giving support to iTALC users."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:13001
+msgid "The Posix group for the iTALC supporter role has been modified."
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:14001
+msgid "Group for people in the role of iTALC administrators:"
+msgstr ""
+
+#. Type: string
+#. Description
+#: ../italc-client.templates:14001
+msgid ""
+"Specify the Posix group name for people in the role of an iTALC "
+"administrator. The admin role grants full access to the iTALC instance on "
+"your site."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:15001
+msgid "The Posix group for the iTALC admin role has been modified."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:16001
+msgid "Make iTALC's SSL keys accessible to the role model groups?"
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:16001
+msgid ""
+"To make the iTALC role model fully functional now, specific group access to "
+"the created SSL keys has to be granted."
+msgstr ""
+
+#. Type: boolean
+#. Description
+#: ../italc-client.templates:16001
+msgid ""
+"If you skip this step, iTALC SSL keys are only accessible by the super-user "
+"`root' and you have to manually setup file permissions on the keys later."
+msgstr ""


hooks/post-receive
-- 
italc.git (Debian package italc)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "italc.git" (Debian package italc).




More information about the debian-edu-commits mailing list